<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <form id="form">
        <input id="input" type="text"/>
        <button  type="submit" > SUBMIT </button>
    </form>
</body>

<script src="/socket.io/socket.io.js"></script>
<script>
  var socket = io();

  var form = document.getElementById('form');
  var input = document.getElementById('input');

  form.addEventListener('submit', function(e) {
    e.preventDefault();
    console.log(input.value)
    if (input.value) {
      
        socket.emit('chat message', input.value);
          
    }
  });

  socket.on('chat message', function(msg) {
    // var item = document.createElement('li');
    // item.textContent = msg;
    // messages.appendChild(item);
    console.log(msg)
    window.scrollTo(0, document.body.scrollHeight);
  });

</script>

</html>